<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
      crossorigin="anonymous"
    ></script>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl"
      crossorigin="anonymous"
    />
    <style>
      canvas:hover {
        outline: none;
      }

      .canvas-container {
        position: relative;
        width: 100%;
        padding-top: 100%; /* 16:9 Aspect Ratio */
      }

      #pictofit-web-viewer {
        position: absolute;
        top: 0;
        width: 100%;
        height: 100%;
        outline: none;
      }

      .disabled img {
        opacity: 0.5;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <div class="row">
        <div class="col-6">
          <div class="canvas-container">
            <pictofit-web id="pictofit-web-viewer"></pictofit-web>
          </div>
        </div>
        <div class="col-6">
          <h3 class="my-3">Size Visualisation</h3>
          <div class="container">
            <div class="row">
              <div class="dropdown">
                <button
                  class="btn btn-secondary dropdown-toggle"
                  type="button"
                  id="dropdownMenuButton1"
                  data-bs-toggle="dropdown"
                  aria-expanded="false"
                >
                  Selected Size: Recommended Size
                </button>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                  <li><a class="dropdown-item" href="#">32</a></li>
                  <li><a class="dropdown-item" href="#">34</a></li>
                  <li><a class="dropdown-item" href="#">36</a></li>
                  <li><a class="dropdown-item" href="#">38</a></li>
                  <li><a class="dropdown-item" href="#">40</a></li>
                  <li><a class="dropdown-item" href="#">42</a></li>
                  <li><a class="dropdown-item" href="#">44</a></li>
                  <li><a class="dropdown-item" href="#">46</a></li>
                  <li><a class="dropdown-item" href="#">48</a></li>
                  <li><a class="dropdown-item" href="#">50</a></li>
                  <li><a class="dropdown-item" href="#">52</a></li>
                  <li><a class="dropdown-item" href="#">54</a></li>
                  <li><a id="initialSize" class="dropdown-item active" href="#">Recommended Size</a></li>
                </ul>
              </div>
              <table class="table">
                <thead>
                  <tr>
                    <th>Measurement</th>
                    <th>Fitcategory (Localized)</th>
                  </tr>
                </thead>
                <tbody id="tablecontent"></tbody>
              </table>
              <p id="recommendedSize">Loading ...</p>
            </div>
            <div class="row mt-5">
              <div class="col">
                <div class="d-flex justify-content-center visually-hidden" id="spinner">
                  <div class="spinner-border" role="status">
                    <span class="visually-hidden">Loading...</span>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
